Index: unk/htdocs/forgot.php
===================================================================
--- /trunk/htdocs/forgot.php	(revision 229)
+++ 	(revision )
@@ -1,118 +1,0 @@
-<?php	session_start();
-	// Albert Teoh 15.11.2005
-	// 
-	// For users that have forgotten their passwords
-	// Passwords will be emailed to the user
-
-	include_once("constants.php");
-	include_once("database.php");
-	include_once("security.php");
-?>
-
-<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
-<html>
-
-<head>
-<link rel="stylesheet" type="text/css" href="styles/style.css" />
-<link rel="stylesheet" type="text/css" href="styles/results.css" />
-<link rel="stylesheet" type="text/css" href="styles/query.css" />
-<meta http-equiv="Content-Type" content="text/html; charset=iso-8759-1" />
-<meta name="DC.Creator" lang="en" content="personalName=Teoh,Albert" />
-<meta name="ATNF.Maintainer" content="contactName=Webmaster,the" />
-<meta name="DC.Title.alt" lang="en" content="" />
-<meta name="DC.Subject" lang="en" content="pulsar" />
-<meta name="DC.Description" lang="en" content="Searches the data archives at the ATNF" />
-<meta name="DC.Date.created" scheme="ISO8601" content="2002-12-12" />
-<meta name="ATNF.Site" content="Marsfield" />
-<meta name="ATNF.AccessPermission" content="Public" />
-<meta name="ATNF.MetaVersion" content="1.0" />
-<?php //include("base.inc"); ?>
-<?php //standard_head(); ?>
-<?php include_once("header.html"); ?>
-</head>
-
-<title>ATNF Pulsar Data Archive Registration</title>
-<?php //title_bar("pulsar"); ?>
-
-<body>
-<h1>Password Retrieval</h1>
-
-
-<?php
-$email = $HTTP_GET_VARS['email'];
-
-if ($HTTP_GET_VARS['submit'] == "Submit" && $email != "") {
-
-	$link = db_connect_admin();
-
-
-	// Check that the old password is correct
-	$query = "SELECT password, username, fname FROM ". USERS_TABLE . " WHERE email = '". $email . "'";
-	echo "query = $query<br>\n";
-	$result = mysql_query($query);
-
-	if (mysql_num_rows($result) > 0) {
-
-		$row = mysql_fetch_row($result);
-
-		if (!mail($email, "ATNF Pulsar Archive password retrieval", "Dear ". $row[2] . ",
-
-Your username is: ".$row[1]. "
-Your password is: ".$row[0]. "
-
-Kind Regards,
-ATNF Pulsar Group")) {
-			echo "Error: Failed to email password to $email. Return to <a href=\"".DATA_ARCHIVE_URL."\">login page</a>.<br>\n";
-			exit;
-		}
-		else {
-			echo "Your password has been successfully emailed to $email.<br>Please check your inbox and use the username and password provided in the <a href=\"".DATA_ARCHIVE_URL."\">login page</a>.\n";
-		}
-	}
-	else {
-?>
-	<form action="<?php $_SERVER['PHP_SELF']; ?>" method="GET">
-
-	<table align="top" class="registration">
-
-	<tr>
-	<td valign="top" class="form_field">
-
-		<fieldset>
-			<legend>Email Address</legend>
-			<table class="registration" cellpadding="3" cellspacing="3">
-				
-				
-				<tr>
-				<td><input type="text" name="email"> </input> <font size="-1" color="red"><?php echo $email; ?> does not exist</font></td>
-				</tr>
-			</table>
-		</fieldset>
-	</td>
-	</tr>
-	
-	<tr>
-	<td class="form_field" colspan="2">
-	<input type="submit" name="submit" value="Submit">
-	</td>
-	</tr>
-
-</table>
-
-</form>
-
-<?php
-	}
-
-}
-
-else {
-	include("forgot_form.html");
-}
-?>
-
-
-</body>
-
-
-</html>
Index: unk/htdocs/forgot_form.html
===================================================================
--- /trunk/htdocs/forgot_form.html	(revision 229)
+++ 	(revision )
@@ -1,29 +1,0 @@
-<form action="<?php $_SERVER['PHP_SELF']; ?>" method="GET">
-Your password will be emailed to the given email address.
-	<table align="top" class="registration">
-
-	<tr>
-	<td valign="top" class="form_field">
-
-		<fieldset>
-			<legend>Email Address</legend>
-			<table class="registration" cellpadding="3" cellspacing="3">
-				
-				
-				<tr>
-				<td><input type="text" name="email"> </input></td>
-				</tr>
-			</table>
-		</fieldset>
-	</td>
-	</tr>
-	
-	<tr>
-	<td class="form_field" colspan="2">
-	<input type="submit" name="submit" value="Submit">
-	</td>
-	</tr>
-
-</table>
-
-</form>