Index: /trunk/src/Makefile
===================================================================
--- /trunk/src/Makefile	(revision 294)
+++ /trunk/src/Makefile	(revision 295)
@@ -177,4 +177,7 @@
 	$(CXX) -o testAngSep.x $(TEST)/testAngSepFunctions.o $(BASE)/pvo-utils.o -lcpgplot -lpgplot -L/u/whi550/CubeFinder -lpng -L/usr/X11R6/lib -lX11 -lg2c
 
+testBitToggle: $(TEST)/testBitToggle.cc $(UTILS)
+	$(CXX) -o testBitToggle.x $(TEST)/testBitToggle.cc $(UTILS) 
+
 $(USE_PVO_HH) : $(BASE)/pvo.hh
 $(USE_UTILS_HH) : $(BASE)/pvo-utils.hh
Index: /trunk/src/pvo-block.cc
===================================================================
--- /trunk/src/pvo-block.cc	(revision 294)
+++ /trunk/src/pvo-block.cc	(revision 295)
@@ -28,5 +28,5 @@
       this->survey = *temp;
       this->surveyType = inputSurveyType;
-      this->data = new char[dataLength];
+      this->data = new unsigned char[dataLength];
       //     this->surveyName = survey;
       delete temp;
@@ -40,5 +40,5 @@
       surveyType   = b.surveyType;
       surveyName   = b.surveyName;
-      data = new char[dataLength];
+      data = new unsigned char[dataLength];
       for(int i=0;i<dataLength;i++) data[i] = b.data[i];
     }
@@ -51,5 +51,5 @@
       this->surveyType   = b.surveyType;
       this->surveyName   = b.surveyName;
-      this->data = new char[dataLength];
+      this->data = new unsigned char[dataLength];
       for(int i=0;i<dataLength;i++) this->data[i] = b.data[i];
       return *this;
@@ -105,15 +105,19 @@
        * \return No return value, as the file is assumed to be open.
        */
-      file.read( this->data, dataLength*sizeof(char) );
+      char *tempdata = new char[dataLength];
+      file.read( tempdata, dataLength*sizeof(char) );
 
       for(int i=0;i<dataLength;i++){
-	char temp = this->data[i];
-	this->data[i] = reverseByte(temp);
-      }
-
-    }
-    //--------------------------------------------------------------------------
-
-    void DataBlock::saveData(char *dataArray, int size)
+	unsigned char temp = tempdata[i];
+	unsigned char temp2= reverseByte(temp);
+	this->data[i] = bitToggle(temp2);
+      }
+
+      delete [] tempdata;
+
+    }
+    //--------------------------------------------------------------------------
+
+    void DataBlock::saveData(unsigned char *dataArray, int size)
     {
       /**
Index: /trunk/src/pvo-block.hh
===================================================================
--- /trunk/src/pvo-block.hh	(revision 294)
+++ /trunk/src/pvo-block.hh	(revision 295)
@@ -56,11 +56,11 @@
 
       /** Save an array of data to the Block. */
-      void saveData(char *dataArray, int size);
+      void saveData(unsigned char *dataArray, int size);
 
       /** Get an individual data point. */
-      char getDatum(int i){return data[i];};
+      unsigned char getDatum(int i){return data[i];};
 
       /** Get the entire string of data */
-      char *getData(){return data;};
+      unsigned char *getData(){return data;};
 
       /** Get the name of the survey */
@@ -108,5 +108,5 @@
     private:
       std::string headerString;    ///< the header string of the block
-      char *data;                  ///< the set of data, stored as chars
+      unsigned char *data;         ///< the set of data, stored as unsigned chars
       Header::SURVEY surveyType;   ///< what type of survey the block deals with
       Header::SurveySchema survey; ///< how the headers of the survey are defined
Index: /trunk/src/pvo-utils.cc
===================================================================
--- /trunk/src/pvo-utils.cc	(revision 294)
+++ /trunk/src/pvo-utils.cc	(revision 295)
@@ -459,5 +459,5 @@
   //------------------------------------------------------------------------
 
-  char reverseByte(char c)
+  unsigned char reverseByte(unsigned char c)
   {
     /**
@@ -490,8 +490,44 @@
     unsigned char t = c;
     unsigned char r = BitReverseTable256[c & 0xff];
-    return char(r);
-
-  }
-
+    return r;
+
+  }
+
+  unsigned char bitToggle(unsigned char c)
+  {
+    /**
+     *  Toggles each bit in a byte, changing 0s to 1s and 1s to 0s.
+     *  We use a lookup table for transparency -- could easily just
+     *  use the complement bit function ~, but this is just as good.
+     * \param c Byte to toggle
+     * \return Byte with bits toggled (ooh matron!)
+     */
+    const unsigned char BitToggleTable256[] = 
+      {
+	0xff, 0xfe, 0xfd, 0xfc, 0xfb, 0xfa, 0xf9, 0xf8, 0xf7, 0xf6, 0xf5, 0xf4, 0xf3, 0xf2, 0xf1, 0xf0, 
+	0xef, 0xee, 0xed, 0xec, 0xeb, 0xea, 0xe9, 0xe8, 0xe7, 0xe6, 0xe5, 0xe4, 0xe3, 0xe2, 0xe1, 0xe0, 
+	0xdf, 0xde, 0xdd, 0xdc, 0xdb, 0xda, 0xd9, 0xd8, 0xd7, 0xd6, 0xd5, 0xd4, 0xd3, 0xd2, 0xd1, 0xd0, 
+	0xcf, 0xce, 0xcd, 0xcc, 0xcb, 0xca, 0xc9, 0xc8, 0xc7, 0xc6, 0xc5, 0xc4, 0xc3, 0xc2, 0xc1, 0xc0, 
+	0xbf, 0xbe, 0xbd, 0xbc, 0xbb, 0xba, 0xb9, 0xb8, 0xb7, 0xb6, 0xb5, 0xb4, 0xb3, 0xb2, 0xb1, 0xb0, 
+	0xaf, 0xae, 0xad, 0xac, 0xab, 0xaa, 0xa9, 0xa8, 0xa7, 0xa6, 0xa5, 0xa4, 0xa3, 0xa2, 0xa1, 0xa0, 
+	0x9f, 0x9e, 0x9d, 0x9c, 0x9b, 0x9a, 0x99, 0x98, 0x97, 0x96, 0x95, 0x94, 0x93, 0x92, 0x91, 0x90, 
+	0x8f, 0x8e, 0x8d, 0x8c, 0x8b, 0x8a, 0x89, 0x88, 0x87, 0x86, 0x85, 0x84, 0x83, 0x82, 0x81, 0x80, 
+	0x7f, 0x7e, 0x7d, 0x7c, 0x7b, 0x7a, 0x79, 0x78, 0x77, 0x76, 0x75, 0x74, 0x73, 0x72, 0x71, 0x70, 
+	0x6f, 0x6e, 0x6d, 0x6c, 0x6b, 0x6a, 0x69, 0x68, 0x67, 0x66, 0x65, 0x64, 0x63, 0x62, 0x61, 0x60, 
+	0x5f, 0x5e, 0x5d, 0x5c, 0x5b, 0x5a, 0x59, 0x58, 0x57, 0x56, 0x55, 0x54, 0x53, 0x52, 0x51, 0x50, 
+	0x4f, 0x4e, 0x4d, 0x4c, 0x4b, 0x4a, 0x49, 0x48, 0x47, 0x46, 0x45, 0x44, 0x43, 0x42, 0x41, 0x40, 
+	0x3f, 0x3e, 0x3d, 0x3c, 0x3b, 0x3a, 0x39, 0x38, 0x37, 0x36, 0x35, 0x34, 0x33, 0x32, 0x31, 0x30, 
+	0x2f, 0x2e, 0x2d, 0x2c, 0x2b, 0x2a, 0x29, 0x28, 0x27, 0x26, 0x25, 0x24, 0x23, 0x22, 0x21, 0x20, 
+	0x1f, 0x1e, 0x1d, 0x1c, 0x1b, 0x1a, 0x19, 0x18, 0x17, 0x16, 0x15, 0x14, 0x13, 0x12, 0x11, 0x10, 
+	0x0f, 0x0e, 0x0d, 0x0c, 0x0b, 0x0a, 0x09, 0x08, 0x07, 0x06, 0x05, 0x04, 0x03, 0x02, 0x01, 0x00
+      };
+
+    unsigned char d = BitToggleTable256[c];
+    
+//    unsigned char d = ~c;
+
+    return d;
+
+  }
 
 }
Index: /trunk/src/pvo-utils.hh
===================================================================
--- /trunk/src/pvo-utils.hh	(revision 294)
+++ /trunk/src/pvo-utils.hh	(revision 295)
@@ -65,5 +65,8 @@
 
   /** Reverse the bits in a byte */
-  char reverseByte(char c);
+  unsigned char reverseByte(unsigned char c);
+
+  /** Toggle the bits in a byte (0->1 and 1->0) */
+  unsigned char bitToggle(unsigned char c);
 
 }
Index: /trunk/src/tests/testBitToggle.cc
===================================================================
--- /trunk/src/tests/testBitToggle.cc	(revision 295)
+++ /trunk/src/tests/testBitToggle.cc	(revision 295)
@@ -0,0 +1,22 @@
+#include "../pvo-utils.hh"
+#include <iostream>
+#include <iomanip>
+using namespace PVO;
+int main()
+{
+
+  unsigned char c = 'z';  // a = 97 = 0x61 = 01100001
+
+  unsigned char d = bitToggle(c);
+
+  std::cout.setf(std::ios::showbase);
+  std::cout << std::hex << uint(c) << " " << uint(d) << "\n";
+
+
+//   for(uint i=0;i<256;i++){
+//     std::cout << std::hex << uint(bitToggle(char(i))) << ", ";
+//     if((i+1)%16==0) std::cout << "\n";
+//   }
+  
+
+}